%define _unpackaged_files_terminate_build 1

Name: kometa-icons
Summary: Icons for Kometa distros
Summary(ru): Иконки для дистрибутивов Комета
License: CC-BY-SA-3.0 and GPL-3.0
Group: Graphics
Version: 1.0
Release: alt1
Source0: icons-kometa-classic-%version.tar
BuildArch: noarch

%description
Icons for Kometa distros
%description -l ru_RU.UTF-8
Иконки для дистрибутивов Комета

#---------------------------------------------------------

%package core-classic
Summary: Core icons of Kometa, classic variant
Summary(ru): Основные иконки Кометы, классический вариант
License: CC-BY-SA-3.0
Group: Graphics

%description core-classic
Core icons of Kometa, classic variant
%description core-classic -l ru_RU.UTF-8
Основные иконки Кометы, классический вариант

%files core-classic
%_iconsdir/hicolor/*x*/apps/kometa.png
%_iconsdir/hicolor/scalable/apps/kometa.svg

#---------------------------------------------------------

%prep
%setup -q -c

%build

%install
mkdir -p %buildroot%_iconsdir/hicolor
cp -rv icons-kometa-classic-%version/* %buildroot%_iconsdir/hicolor
# ensure correct modes
find %buildroot%_iconsdir -type f | xargs chmod 0644
find %buildroot%_iconsdir -type d | xargs chmod 0755

%changelog
* Mon Dec 13 2021 Mikhail Novosyolov <mikhailnov@altlinux.org> 1.0-alt1
- Init

